# Uses of Class
org.codehaus.janino.Java.AbstractCompilationUnit.SingleStaticImportDeclaration

Packages that use Java.AbstractCompilationUnit.SingleStaticImportDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.AbstractCompilationUnit.SingleStaticImportDeclaration in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.AbstractCompilationUnit.SingleStaticImportDeclaration
Modifier and Type
Method
Description
`R`
Visitor.ImportVisitor.`visitSingleStaticImportDeclaration(Java.AbstractCompilationUnit.SingleStaticImportDeclaration ssid)`
Invoked by `accept(Visitor.ImportVisitor)`

## Uses of Java.AbstractCompilationUnit.SingleStaticImportDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.AbstractCompilationUnit.SingleStaticImportDeclaration
Modifier and Type
Method
Description
`Java.AbstractCompilationUnit.ImportDeclaration`
DeepCopier.`copySingleStaticImportDeclaration(Java.AbstractCompilationUnit.SingleStaticImportDeclaration stid)`
`void`
AbstractTraverser.`traverseSingleStaticImportDeclaration(Java.AbstractCompilationUnit.SingleStaticImportDeclaration stid)`
`void`
Traverser.`traverseSingleStaticImportDeclaration(Java.AbstractCompilationUnit.SingleStaticImportDeclaration stid)`